* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    background: linear-gradient(0deg, #BCEBCB, #F7FFF6);
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.container {
    background-color: #fff;
    padding: 40px;
    border-radius: 20px;
    box-shadow: 10px 18px 42px -4px rgba(0, 0, 0, 0.77);
    -webkit-box-shadow: 10px 18px 42px -4px rgba(0, 0, 0, 0.77);
    -moz-box-shadow: 10px 18px 42px -4px rgba(0, 0, 0, 0.77);
    width: 100%;
    max-width: 500px;
    text-align: center;
}

h1 {
    color: #87D68D;
    margin-bottom: 30px;
    font-size: 1.5rem;
}

.converter-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.linha-valor {
    display: flex;
    flex-direction: row;
    gap: 8px;
    width: 100%;
}

.input-valor {
    flex: 2;
}

.valor-selecionado {
    flex: 1;
}

input,
select {
    width: 100%;
    padding: 15px;
    /* border: 2px solid #F26F90; */
    outline: none;
    border: .9px solid rgba(82, 82, 82, 0.096);
    background-color: #F7FFF6;
    border-radius: 12px;
    font-size: 12px;
    font-weight: 800;
    transition: all 0.3s ease;
}

input:focus,
select:focus {
    outline: none;
    border: 2px solid #93B48B;
    border-color: #93B48B;
    background-color: #ffffff;
    box-shadow: 0px 1px 27px 0px rgba(0, 0, 0, 0.11);
    transform: translateY(-2px);
}

input::placeholder {
    color: #87D68D;
}

select {
    color: #87D68D;
}

label {
    display: block;
    color: #87D68D;
    text-align: left;
    font-size: 16px;
    margin-bottom: 9px;
}

.Converterbtn {
    background: linear-gradient(0deg, #BCEBCB, #F7FFF6);
    color: #8491A3;
    border: none;
    padding: 15px 30px;
    border-radius:16px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    margin-top: 10px;
    transition: all .5s ease;
}

.Converterbtn:hover{
    box-shadow: 0px 1px 27px 0px rgba(0, 0, 0, 0.11);
    transform: translateY(5px);
}

.carregando{
    margin-top: 5px;
    display: none;
}

.spinner{
    border: 3px solid #F7FFF6;
    border-top:3px solid #93B48B;
    border-radius: 50%;
    height: 30px;
    width: 30px;
    margin: 0 auto;
    margin-bottom: 10px;
    animation: spin 0.5s linear infinite;
}

@keyframes spin {
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg);}
}

.info{
    margin-top: 30px;
    font-size: 12px;
    color: #d6d6d6;
}

.result{
    background: linear-gradient(0deg, #BCEBCB, #F7FFF6);
    padding: 20px;
    margin-top: 30px;
    color: #8491A3;
    font-size: 1.1rem;
    border-radius: 15px;
    font-weight: 600;
    display: none;
}

.error{
    background: linear-gradient(0deg, #f73666, #ff6b58);
    color: #fff;
    padding: 15px;
    border-radius: 15px;
    margin-top: 20px;
    font-size: 1.1rem;
    display: none;
}